For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/api/billing/llms.txt. For full documentation content, see https://developer.shipbob.com/api/billing/llms-full.txt.

# Get Transactions by Invoice ID


GET https://api.shipbob.com/2026-01/invoices/{invoiceId}/transactions

The unique identifier of the invoice whose transactions are to be retrieved

Reference: https://developer.shipbob.com/api/billing/get-transactions-by-invoice-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2026-01
  version: 1.0.0
paths:
  /2026-01/invoices/{invoiceId}/transactions:
    get:
      operationId: get-transactions-by-invoice-id
      summary: |
        Get Transactions by Invoice ID
      description: >-
        The unique identifier of the invoice whose transactions are to be
        retrieved
      tags:
        - subpackage_billing
      parameters:
        - name: invoiceId
          in: path
          description: >
            The unique identifier of the invoice whose transactions are to be
            retrieved.
          required: true
          schema:
            type: string
            format: int32
        - name: Cursor
          in: query
          description: >
            [Optional] A pagination token used to jump to first, last, next or
            previous pages. When supplied, it overrides all other filter
            parameters.
          required: false
          schema:
            type: string
        - name: PageSize
          in: query
          description: >
            Number of transactions to return per page (default is 100, to be
            entered when API is called for first time). Must be between 1 and
            1000.
          required: false
          schema:
            type: integer
        - name: SortOrder
          in: query
          description: >
            Sort order of the results. Valid values: Ascending or Descending
            (default: Descending).
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token or OAuth2
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Billing.TransactionDtoCursorPagedResponseV3
        '401':
          description: Authorization missing or invalid
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: The provided credentials are not authorized to access this resource
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Billing.ProblemDetails'
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    BillingTransactionDtoV3InvoiceType:
      type: string
      enum:
        - Shipping
        - Inbound Fee
        - WarehouseStorage
        - AdditionalFee
        - Return
        - Credits
        - BalanceAdjustment
        - Payment
      description: The type or category of the invoice.
      title: BillingTransactionDtoV3InvoiceType
    BillingTransactionDtoV3ReferenceType:
      type: string
      enum:
        - Shipment
        - Return
        - WRO
        - URO
        - Ticket Number
        - FC
        - LPN Reference
        - Transfer Plan
      description: The type of reference associated with the reference ID.
      title: BillingTransactionDtoV3ReferenceType
    Billing.InvoiceTaxDtoV3:
      type: object
      properties:
        tax_amount:
          type: number
          format: double
          description: Tax amount charged for this tax type.
        tax_rate:
          type: number
          format: double
          description: Tax rate applied as a percentage.
        tax_type:
          type:
            - string
            - 'null'
          description: Type of tax applied.
      description: Tax information associated with a transaction or invoice.
      title: Billing.InvoiceTaxDtoV3
    BillingTransactionDtoV3TransactionType:
      type: string
      enum:
        - Charge
        - Refund
        - Credit
        - Payment
        - BalanceAdjustment
      description: The classification or nature of the transaction.
      title: BillingTransactionDtoV3TransactionType
    Billing.TransactionDtoV3:
      type: object
      properties:
        additional_details:
          type:
            - object
            - 'null'
          additionalProperties:
            description: Any type
          description: >-
            Any additional details related to the transaction in a key-value
            pair format.
        amount:
          type:
            - number
            - 'null'
          format: double
          description: The charge amount for the transaction.
        charge_date:
          type:
            - string
            - 'null'
          description: The date when the transaction was charged.
        currency_code:
          type:
            - string
            - 'null'
          description: The ISO currency code (e.g., USD, EUR) for the transaction.
        fulfillment_center:
          type:
            - string
            - 'null'
          description: >-
            The name or code of the fulfillment center involved in the
            transaction.
        invoice_date:
          type:
            - string
            - 'null'
          description: The date the invoice was generated.
        invoice_id:
          type:
            - integer
            - 'null'
          description: >-
            The unique identifier of the invoice associated with this
            transaction.
        invoice_type:
          oneOf:
            - $ref: '#/components/schemas/BillingTransactionDtoV3InvoiceType'
            - type: 'null'
          description: The type or category of the invoice.
        invoiced_status:
          type:
            - boolean
            - 'null'
          description: >-
            Indicates whether the transaction has been invoiced. True if billed,
            false if unbilled.
        reference_id:
          type:
            - string
            - 'null'
          description: A unique reference identifier associated with the transaction.
        reference_type:
          oneOf:
            - $ref: '#/components/schemas/BillingTransactionDtoV3ReferenceType'
            - type: 'null'
          description: The type of reference associated with the reference ID.
        taxes:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Billing.InvoiceTaxDtoV3'
          description: A list of tax details applied to the transaction, if any exist.
        transaction_fee:
          type:
            - string
            - 'null'
          description: >-
            The fee type associated with the transaction. To get all available
            transaction fees, use the '/transaction-fees' endpoint.
        transaction_id:
          type:
            - string
            - 'null'
          description: The unique identifier for the transaction.
        transaction_type:
          oneOf:
            - $ref: '#/components/schemas/BillingTransactionDtoV3TransactionType'
            - type: 'null'
          description: The classification or nature of the transaction.
      description: Represents a transaction data object.
      title: Billing.TransactionDtoV3
    Billing.TransactionDtoCursorPagedResponseV3:
      type: object
      properties:
        first:
          type:
            - string
            - 'null'
          description: Go to the first page
        items:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Billing.TransactionDtoV3'
        last:
          type:
            - string
            - 'null'
          description: Go to the Last page
        next:
          type:
            - string
            - 'null'
          description: Go to the Next page
        prev:
          type:
            - string
            - 'null'
          description: Go to the Previous page
      title: Billing.TransactionDtoCursorPagedResponseV3
    Billing.ProblemDetails:
      type: object
      properties:
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
      title: Billing.ProblemDetails
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token or OAuth2

```

## SDK Code Examples

```python Billing_getTransactionsByInvoiceId_example
import requests

url = "https://api.shipbob.com/2026-01/invoices/invoiceId/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Billing_getTransactionsByInvoiceId_example
const url = 'https://api.shipbob.com/2026-01/invoices/invoiceId/transactions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Billing_getTransactionsByInvoiceId_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2026-01/invoices/invoiceId/transactions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Billing_getTransactionsByInvoiceId_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2026-01/invoices/invoiceId/transactions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Billing_getTransactionsByInvoiceId_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2026-01/invoices/invoiceId/transactions")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Billing_getTransactionsByInvoiceId_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2026-01/invoices/invoiceId/transactions', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Billing_getTransactionsByInvoiceId_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2026-01/invoices/invoiceId/transactions");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Billing_getTransactionsByInvoiceId_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/invoices/invoiceId/transactions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```